﻿<Graph ClassName="PLPickListTransferLine" Source="#CDATA" IsNew="True" FileType="NewDac">
    <CDATA name="Source"><![CDATA[using System;
using PX.Data;
using PX.Objects.EP;
using PX.Objects.IN;

namespace DispatchExtension
{
    [Serializable]
    [PXCacheName("PLPickListTransferLine")]
    public class PLPickListTransferLine : IBqlTable
    {
        #region PickNbr
        [PXDBString(15, IsUnicode = true, InputMask = "", IsKey = true)]
        [PXUIField(DisplayName = "Pick List Nbr.")]
        [PXDBDefault(typeof(PLPickListTransfer.pickListNbr))]
        public virtual string PickListNbr { get; set; }
        public abstract class pickListNbr : PX.Data.BQL.BqlString.Field<pickListNbr> { }
        #endregion

        #region LineNbr
        [PXDBInt(IsKey = true)]
        [PXLineNbr(typeof(PLPickListTransfer.lineCntr))]
        [PXUIField(DisplayName = "Line Nbr")]
        public virtual int? LineNbr { get; set; }
        public abstract class lineNbr : PX.Data.BQL.BqlInt.Field<lineNbr> { }
        #endregion

        #region INTranNbr
        [PXDBString(15, IsUnicode = true, InputMask = "")]
        [PXSelector(typeof(Search<INRegister.refNbr, Where<INRegister.docType, Equal<INDocType.transfer>>>))]
        [PXUIField(DisplayName = "Transfer Nbr.", Enabled = false)]
        public virtual string INTranNbr { get; set; }
        public abstract class iNTranNbr : PX.Data.BQL.BqlString.Field<iNTranNbr> { }
        #endregion

        #region INTranLineNbr
        [PXDBInt()]
        [PXUIField(DisplayName = "INTran Line Nbr")]
        public virtual int? INTranLineNbr { get; set; }
        public abstract class iNTranLineNbr : PX.Data.BQL.BqlInt.Field<iNTranLineNbr> { }
        #endregion

        #region PickQty
        [PXDBDecimal()]
        [PXUIField(DisplayName = "Pick Qty")]
        [PXDefault(TypeCode.Decimal, "0.00", PersistingCheck = PXPersistingCheck.Nothing)]
        public virtual Decimal? PickQty { get; set; }
        public abstract class pickQty : PX.Data.BQL.BqlDecimal.Field<pickQty> { }
        #endregion

        #region Picker
        [PXDBInt()]
        [PXUIField(DisplayName = "Picker")]
        [PXEPEmployeeSelector]
        [PXDefault()]
        public virtual int? Picker { get; set; }
        public abstract class picker : PX.Data.BQL.BqlInt.Field<picker> { }
        #endregion

        #region PickOpenQty
        [PXDBDecimal()]
        [PXUIField(DisplayName = "Pick Open Qty")]
        [PXDefault(TypeCode.Decimal, "0.00", PersistingCheck = PXPersistingCheck.Nothing)]
        [PXFormula(typeof(pickQty))]
        public virtual Decimal? PickOpenQty { get; set; }
        public abstract class pickOpenQty : PX.Data.BQL.BqlDecimal.Field<pickOpenQty> { }
        #endregion

        #region Tstamp
        [PXDBTimestamp()]
        [PXUIField(DisplayName = "Tstamp")]
        public virtual byte[] Tstamp { get; set; }
        public abstract class tstamp : PX.Data.BQL.BqlByteArray.Field<tstamp> { }
        #endregion

        #region CreatedByID
        [PXDBCreatedByID()]
        public virtual Guid? CreatedByID { get; set; }
        public abstract class createdByID : PX.Data.BQL.BqlGuid.Field<createdByID> { }
        #endregion

        #region CreatedByScreenID
        [PXDBCreatedByScreenID()]
        public virtual string CreatedByScreenID { get; set; }
        public abstract class createdByScreenID : PX.Data.BQL.BqlString.Field<createdByScreenID> { }
        #endregion

        #region CreatedDateTime
        [PXDBCreatedDateTime()]
        public virtual DateTime? CreatedDateTime { get; set; }
        public abstract class createdDateTime : PX.Data.BQL.BqlDateTime.Field<createdDateTime> { }
        #endregion

        #region LastModifiedByID
        [PXDBLastModifiedByID()]
        public virtual Guid? LastModifiedByID { get; set; }
        public abstract class lastModifiedByID : PX.Data.BQL.BqlGuid.Field<lastModifiedByID> { }
        #endregion

        #region LastModifiedByScreenID
        [PXDBLastModifiedByScreenID()]
        public virtual string LastModifiedByScreenID { get; set; }
        public abstract class lastModifiedByScreenID : PX.Data.BQL.BqlString.Field<lastModifiedByScreenID> { }
        #endregion

        #region LastModifiedDateTime
        [PXDBLastModifiedDateTime()]
        public virtual DateTime? LastModifiedDateTime { get; set; }
        public abstract class lastModifiedDateTime : PX.Data.BQL.BqlDateTime.Field<lastModifiedDateTime> { }
        #endregion
    }
}]]></CDATA>
</Graph>